Bug 443272 - Add RDMA support into Clustering for IB and 10gig
Add RDMA support into Clustering for IB and 10gig
Product: Fedora
Classification: Fedora
Component: corosync (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Dake
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2008-04-19 20:28 EDT by Scott Crenshaw
Modified: 2016-04-26 17:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-28 11:28:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rob Kenna 2008-04-19 20:28:03 EDT
A number of higher end installation have IB today and want low latency support.
 RDMA can sit above both IB and 10gig-E
Comment 1 Rob Kenna 2008-04-19 20:29:19 EDT
This is initially logged against openais but will likely need support from other
cluster components.
Comment 2 Steven Dake 2008-04-19 21:43:48 EDT
from what I can tell, there is RDMA support in the latest linux kernels for
Infiniband and there is a library with a revised BSD license which I could tune
into something that we could use for rdma multicast.

I am not certain if RDMA + infiniband devices are available on RHEL5.x kernel
line.  Do you know for sure Rob?

The work to add that support to totem is somewhat isolated to making a new
transport called "totemrdma.c" instead of totemip.c.

_Need_ hardware before any effort can be done on this but if RHEL 5 supports
RDMA adding support is possible.
Comment 5 Steven Dake 2009-03-18 17:34:14 EDT
reassigning to corosync since this is a rhel6 RFE.  If you would like a rhel 5 rfe, please open a seperate bz.
Comment 6 Steven Dake 2009-05-12 04:59:59 EDT
Reassigning to Ryan since he will be primary on this RFE.  Ryan i'll make sure to marshall the necessary people to get the work done.

This is targeted for post 1.0.
Comment 7 Steven Dake 2009-09-28 11:28:23 EDT
Merged into rawhide and f11.

Note You need to log in before you can comment on or make changes to this bug.